# Class: FBranch

## FBranch()

Branch represents a relationship between a child note and its parent note. Trilium allows a note to have multiple parents.

## Constructor

#### new FBranch()

Source:
  - entities/fbranch.js, line 5

### Members

#### branchId :string

primary key

##### Type:

- string

Source:
  - entities/fbranch.js, line 18

#### froca :Froca

##### Type:

- Froca

Source:
  - entities/fbranch.js, line 8

#### fromSearchNote :boolean

##### Type:

- boolean

Source:
  - entities/fbranch.js, line 30

#### isExpanded :boolean

##### Type:

- boolean

Source:
  - entities/fbranch.js, line 28

#### noteId :string

##### Type:

- string

Source:
  - entities/fbranch.js, line 20

#### notePosition :int

##### Type:

- int

Source:
  - entities/fbranch.js, line 24

#### parentNoteId :string

##### Type:

- string

Source:
  - entities/fbranch.js, line 22

#### prefix :string

##### Type:

- string

Source:
  - entities/fbranch.js, line 26

### Methods

#### (async) getNote() → {FNote}

Source:
  - entities/fbranch.js, line 34

##### Returns:

Type
  FNote

#### getNoteFromCache() → {FNote}

Source:
  - entities/fbranch.js, line 39

##### Returns:

Type
  FNote

#### (async) getParentNote() → {FNote}

Source:
  - entities/fbranch.js, line 44

##### Returns:

Type
  FNote

#### isTopLevel() → {boolean}

Source:
  - entities/fbranch.js, line 49

##### Returns:

true if it's top level, meaning its parent is the root note

Type
  boolean